Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz.wrappers
Class TriggerWrapper

    java.lang.Object
      org.terracotta.quartz.wrappers.TriggerWrapper

All Implemented Interfaces:
  Serializable

    public class TriggerWrapper

extends Object
implements Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TriggerWrapper.TriggerState`

Field Summary
`protected OperableTrigger` | `trigger`

Constructor Summary
`protected` | `TriggerWrapper(OperableTrigger trigger, boolean jobDisallowsConcurrence)`

Method Summary
`String` | `getCalendarName()`
`JobKey` | `getJobKey()`
`TriggerKey` | `getKey()`
`String` | `getLastTerracotaClientId()`
`int` | `getMisfireInstruction()`
`Date` | `getNextFireTime()`
`int` | `getPriority()`
`TriggerWrapper.TriggerState` | `getState()`
`OperableTrigger` | `getTriggerClone()`
`int` | `hashCode()`
`boolean` | `isInstanceof(Class clazz)`
`boolean` | `jobDisallowsConcurrence()`
`boolean` | `mayFireAgain()`
`void` | `setFireInstanceId(String firedInstanceId, TriggerFacade triggerFacade)`
`void` | `setState(TriggerWrapper.TriggerState state, String terracottaId, TriggerFacade triggerFacade)`
`String` | `toString()`
`void` | `triggered(Calendar cal, TriggerFacade triggerFacade)`
`void` | `updateAfterMisfire(Calendar cal, TriggerFacade triggerFacade)`
`void` | `updateWithNewCalendar(Calendar cal, long misfireThreshold, TriggerFacade triggerFacade)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### trigger

    protected final OperableTrigger trigger

Constructor Detail

### TriggerWrapper

    protected TriggerWrapper(OperableTrigger trigger,
                             boolean jobDisallowsConcurrence)

Method Detail

### jobDisallowsConcurrence

    public boolean jobDisallowsConcurrence()

### getLastTerracotaClientId

    public String getLastTerracotaClientId()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getKey

    public TriggerKey getKey()

### getJobKey

    public JobKey getJobKey()

### setState

    public void setState(TriggerWrapper.TriggerState state,
                         String terracottaId,
                         TriggerFacade triggerFacade)

### getState

    public TriggerWrapper.TriggerState getState()

### getNextFireTime

    public Date getNextFireTime()

### getPriority

    public int getPriority()

### mayFireAgain

    public boolean mayFireAgain()

### getTriggerClone

    public OperableTrigger getTriggerClone()

### updateWithNewCalendar

    public void updateWithNewCalendar(Calendar cal,
                                      long misfireThreshold,
                                      TriggerFacade triggerFacade)

### getCalendarName

    public String getCalendarName()

### getMisfireInstruction

    public int getMisfireInstruction()

### updateAfterMisfire

    public void updateAfterMisfire(Calendar cal,
                                   TriggerFacade triggerFacade)

### setFireInstanceId

    public void setFireInstanceId(String firedInstanceId,
                                  TriggerFacade triggerFacade)

### triggered

    public void triggered(Calendar cal,
                          TriggerFacade triggerFacade)

### isInstanceof

    public boolean isInstanceof(Class clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.